> For the complete documentation index, see [llms.txt](https://docs.pandablue.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.pandablue.com/api-reference-1/platforms-booster/get-submerchant-information.md).

# Get submerchant information

## Get SubMerchant Information

> Retrieve the information for a specific SubMerchant.

```json
{"openapi":"3.0.0","info":{"title":"SubMerchant API","version":"v3"},"paths":{"/sub_merchants/{sub_merchant_id}":{"get":{"summary":"Get SubMerchant Information","description":"Retrieve the information for a specific SubMerchant.","parameters":[{"name":"sub_merchant_id","in":"path","required":true,"description":"The ID of the SubMerchant to retrieve.","schema":{"type":"integer"}},{"in":"header","name":"Content-Type","required":true,"schema":{"type":"string","default":"application/json"},"description":"Media type of the body sent to the API."},{"in":"header","name":"X-Date","required":true,"schema":{"type":"string","format":"date-time"},"description":"ISO8601 Datetime with Timezone (yyyy-MM-dd'T'HH:mm:ssZ)"},{"in":"header","name":"X-Login","required":true,"schema":{"type":"string"},"description":"Merchant X-Login API Key."},{"in":"header","name":"Authorization","required":true,"schema":{"type":"string"},"description":"Authorization control hash."},{"in":"header","name":"X-Idempotency-Key","required":false,"schema":{"type":"string"},"description":"Unique idempotency key for ensuring that the same request is not processed more than once."}],"responses":{"200":{"description":"Successful request. Returns the SubMerchant details.","content":{"application/json":{"schema":{"type":"object","properties":{"sub_merchant_id":{"type":"integer","description":"Identifier of the SubMerchant on our end."},"markup_fee":{"type":"number","format":"double","description":"Commission earned in each deposit. It is a percentual, expressed in decimal. E.g.: value 2.00 represents %2.00"},"sub_merchant_name":{"type":"string","description":"Represents the name of the SubMerchant."},"email":{"type":"string","description":"Email of the main user in the SubMerchant. In case you may want to match it with a user on your end, please request SubMerchant to signup with that address."},"status":{"type":"string","description":"Represents if the SubMerchant is either active or inactive. Only active merchants can process transactions.","enum":["ACTIVE","INACTIVE"]},"external_submerchant_id":{"type":"string","description":"Represents the SubMerchant identifier on your end, if this information is included in the Referral Signup Form URL."},"balance":{"type":"object","description":"SubMerchant balance information.","properties":{"currency":{"type":"string","description":"Balance currency code."},"total":{"type":"number","format":"double","description":"Total balance amount."},"usable":{"type":"number","format":"double","description":"Usable balance amount."},"available":{"type":"number","format":"double","description":"Available balance amount."}}}}}}}},"400":{"description":"The request could not be processed due to a client-side error.","content":{"application/json":{"schema":{"type":"object","properties":{"code":{"type":"integer","description":"Error code identifying the specific error."},"description":{"type":"string","description":"A human-readable message providing more details about the error."},"type":{"type":"string","description":"The type of error that occurred."}}}}}}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.pandablue.com/api-reference-1/platforms-booster/get-submerchant-information.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
